Subject: balashin sai

From: Rene Mauricio Salazar <[email-masked]>
Date: Tue, 7 Nov 1995 13:53:50 -0600

Hi Everyone,

I'm in Texas and have been having the hardest time trying to find this 
product.  Balashin sai is a cough and sore throat remedy invented by the 
same people that produce tiger balm.  The balashin sai that I have seen 
comes in a little metal slide box.  They look like black pellets and are 
composed of gambir, licorice and peppermint.  If anyone knows where I can 
get this product or knows of a mail order company that I can order this 
from, please e-mail me.

Thanks in advance,

Rene' M. Salazar

---

From: Bob Coulombe <[email-masked]>
Date: 9 Nov 1995 04:14:14 GMT

You might try Nature's He b Company, Box 118, Dept. 34Q, Norway, IA 
52318  1-800-365-4372  or Planetary Herbal Products, P.O. Box 7145 Santa 
Cruz, CA 95061  408-479-7074